package com.bankaudit.dao;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintInherentRisk;

public interface MaintInherentRiskDao extends Dao {
	List<MaintInherentRisk> getMaintInherentRisksExceptThis(Integer legalEntityCode,String inherentRiskCode);

	DataTableResponse getMaintInherentRisks(Integer legalEntityCode, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	Boolean isMaintInherentRisk(Integer legalEntityCode);

	void deleteMaintInherentRisks(Integer legalEntityCode, String statusUnauth);
	
	MaintInherentRisk getInherentRiskOnPercentage(Integer legalEntityCode, Integer riskScore);

	Boolean isInherentRiskCode(Integer legalEntityCode, String inherentRiskCode);
}
